Bug 121844 - [new port] games/openalchemist
Summary: [new port] games/openalchemist
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-18 21:30 UTC by ganael.laplanche
Modified: 2008-04-28 11:50 UTC (History)
0 users

See Also:


Attachments
file.shar (8.00 KB, text/plain)
2008-03-18 21:30 UTC, ganael.laplanche
no flags Details
patch-openalchemist (1.54 KB, application/octet-stream)
2008-04-14 07:53 UTC, ganael.laplanche
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description ganael.laplanche 2008-03-18 21:30:00 UTC
As suggested on the Wiki (http://wiki.freebsd.org/AndrewPantyukhin/Ports), here is a port of Openalchemist, a nice Tetris-like game developped using Clanlib.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-03-18 21:30:06 UTC
Class Changed
From-To: update->change-request

Fix category (new ports should be change-requests) (via the GNATS Auto 
Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2008-03-18 22:59:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 3 Martin Wilke freebsd_committer 2008-03-26 16:51:09 UTC
State Changed
From-To: open->feedback

Hi, The port does not build. Can you take a look at it? 

http://amd64.miwibox.org/tb/index.php?action=describe_port&id=2930 
http://head.miwibox.org/tb/index.php?action=describe_port&id=2981 

Thanks 

Martin
Comment 4 ganael.laplanche 2008-04-14 07:53:14 UTC
On Wed, 26 Mar 2008 16:52:11 GMT, miwi wrote

> Hi, The port does not build. Can you take a look at it?
> 
> http://amd64.miwibox.org/tb/index.php?action=describe_port&id=2930
> http://head.miwibox.org/tb/index.php?action=describe_port&id=2981

Hi Miwi,

Sorry, I have forgotten a dependency on Zip. BTW, I also added a -pthread flag,
which was missing and has made the compilation failed on my other machine.

You can find the patch attached to this email. It has to be applied against the
first version of the port.

Thanks a lot,
Best regards,

Ganaël LAPLANCHE
ganael.laplanche@martymac.com
http://www.martymac.com
Comment 5 Martin Wilke freebsd_committer 2008-04-28 10:14:01 UTC
State Changed
From-To: feedback->closed

Feedback timeout.
Comment 6 ganael.laplanche 2008-04-28 10:56:16 UTC
Hi Martin,

> State-Changed-Why:
> Feedback timeout. 

Mmmhhh... I have already sent a feedback (via private email, and then via gnats
on April, 14th 2008). Is there anything missing ? Could you re-open this PR ?

Thank you very much,
Best regards,

Ganaël LAPLANCHE
ganael.laplanche@martymac.com
http://www.martymac.com
Comment 7 Martin Wilke freebsd_committer 2008-04-28 11:01:25 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Mon, Apr 28, 2008 at 11:56:16AM +0200, Ganael LAPLANCHE wrote:
> Hi Martin,

Gugi Ganel

> 
> > State-Changed-Why:
> > Feedback timeout. 
> 
> Mmmhhh... I have already sent a feedback (via private email, and then via gnats
> on April, 14th 2008). Is there anything missing ? Could you re-open this PR ?

You are right here i'm sorry.

> 
> Thank you very much,
> Best regards,
> 
> Ganaël LAPLANCHE
> ganael.laplanche@martymac.com
> http://www.martymac.com
> 

- -- 

+-----------------------+-------------------------------+
|  PGP    : 0x05682353  |  Jabber : miwi(at)BSDCrew.de  |
|  ICQ    : 169139903   |  Mail   : miwi(at)FreeBSD.org |
+-----------------------+-------------------------------+
|	Mess with the Best, Die like the Rest!		|
+-----------------------+-------------------------------+
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.4 (FreeBSD)

iD8DBQFIFaB0FwpycAVoI1MRAn+nAJ9LtYp00In4a/Qz3zJvYabXlshPPgCfXgR1
NOAzD5W0AYbYKWjfcmTubas=
=W5I5
-----END PGP SIGNATURE-----
Comment 8 Martin Wilke freebsd_committer 2008-04-28 11:41:38 UTC
State Changed
From-To: closed->open

wrong pr closed.
Comment 9 Martin Wilke freebsd_committer 2008-04-28 11:42:23 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!
Comment 10 dfilter freebsd_committer 2008-04-28 11:42:44 UTC
miwi        2008-04-28 10:42:36 UTC

  FreeBSD ports repository

  Modified files:
    games                Makefile 
  Added files:
    games/openalchemist  Makefile distinfo pkg-descr pkg-plist 
    games/openalchemist/files patch-KeyboardKey.h patch-Makefile 
                              patch-game.h patch-piece.h 
  Log:
  OpenAlchemist is a Tetris-like game developped with
  the Clanlib framework. Its goal is to reimplement the
  game www.naturalchimie.com with free software and
  free licenses.
  
  WWW: http://openalchemist.sourceforge.net
  
  PR:             ports/121844
  Submitted by:   Ganael LAPLANCHE <ganael.laplanche at martymac.com>
  
  Revision  Changes    Path
  1.1201    +1 -0      ports/games/Makefile
  1.1       +27 -0     ports/games/openalchemist/Makefile (new)
  1.1       +3 -0      ports/games/openalchemist/distinfo (new)
  1.1       +11 -0     ports/games/openalchemist/files/patch-KeyboardKey.h (new)
  1.1       +48 -0     ports/games/openalchemist/files/patch-Makefile (new)
  1.1       +82 -0     ports/games/openalchemist/files/patch-game.h (new)
  1.1       +17 -0     ports/games/openalchemist/files/patch-piece.h (new)
  1.1       +6 -0      ports/games/openalchemist/pkg-descr (new)
  1.1       +6 -0      ports/games/openalchemist/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"